'use strict';

brainstorming.controller ('CardController', function CardController ($scope, $http, $timeout) {

  $scope.createCard = function (topic) {
    var card = {
      'text': $scope.card.cardText,
      'cardType': $scope.card.cardType,
      'topic': topic.id
    };

    var json = JSON.stringify (card);

    $http.post ('service?action=createCard', json).success (function (data, status, headers, config) {

      var respondedCard = JSON.stringify (data);

      $scope.$parent.addCard (data, topic);
      $scope.card.cardText = "";
    });
  };

});
